/*!
 * @file aiming_turret.h
*/


#ifndef _AIMING_TURRET_H
#define _AIMING_TURRET_H

#include "weapon.h"

class AimingTurret : public Weapon
  {
  public:
    AimingTurret (WeaponManager* weaponManager);
    AimingTurret(const TiXmlElement* root);
    virtual ~AimingTurret ();

    void init();
    void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void tick(float dt);
    virtual void fire();
    virtual void destroy();

    virtual void draw() const;

  private:
    PNode*          target;
  };

#endif /* _AIMING_TURRET_H */
